GNU bug report logs - #55443
emacs-28.1: tramp sudo broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Remco van 't Veer <remco@HIDDEN>; Done: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 25 Jun 2022 14:57:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 25 10:57:44 2022
Received: from localhost ([127.0.0.1]:46020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o57EG-00051h-F9
	for submit <at> debbugs.gnu.org; Sat, 25 Jun 2022 10:57:44 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:46885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <remco@HIDDEN>) id 1o57EE-00051U-O2
 for 55443 <at> debbugs.gnu.org; Sat, 25 Jun 2022 10:57:43 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 900EA5C0117;
 Sat, 25 Jun 2022 10:57:37 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Sat, 25 Jun 2022 10:57:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=remworks.net; h=
 cc:cc:content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm1; t=1656169057; x=1656255457; bh=uTpt3EjhkL
 2C2AGYlLZ2BNo7vNnWsFwwtdT7qO8KDPw=; b=hFOmBeLzl0zjJYn7wSdOhm6bqR
 rsoyPSxrKtTpJziYJZsHTgQ9EK/1hMFmMBmujkjASDo320lxCBZy/da2Nf7ckVEt
 xB8tMteCfRJtBDAHEPty8qKcd7jswmIkR1v/9aVSDSvgRP8Gru0dVdjOjJZ2OLAx
 53viJJO09F0QvENmIWE4DOZr6+QVfF/PYojNviWkgIKLmLSk4HkB4cvmT2gO8rZP
 WEsEoAbGMlsx5IWzhWSIeRLY91oPtMvk5LFiOkx1NBajyoN97QNgBusqreB8e9HR
 CO5rTkbFBWO6+KpAfP/lmSQOvZvceAMJuK7MwsU/UtDJOWK2IUfd6AOkzxlg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; t=1656169057; x=1656255457; bh=uTpt3EjhkL2C2AGYlLZ2BNo7vNnW
 sFwwtdT7qO8KDPw=; b=ZbZ6QLN1PagvUpOGx/nZz/dkXFqQaghqeyVFiwtmoXUc
 N5L9aEKJEQan5PYfnHYHyT7EY9rrOl7t7XwLXFU1NkztHUq7j7MyHkwD5ZWWv7Xu
 xcJV07+gbBc4cSOPgv9e+wJwlMzFX2UveKSHbOETJlX4qWLdkfzGADwlzPoxE8DK
 Xu3vFjg34krNJqR/vau12ULba6/3H9rF22ywvycmfYtr7mIN/GO1Q4afIM/KNAZL
 zk466xWZ7pEMW6sZ3QSwoW3hTXCCP4Qfa/nUNWtCfOzuhY0Z/ZoG05iiSUNxtIBX
 DFfOjJSrRu24hJLKTplhTkkvVlTuTcYpyS7gbAMaSw==
X-ME-Sender: <xms:YSK3YpGrkZJ1x7lswIWLR_Kns388vhS-PFe4U31FghxwjHMkZiokSw>
 <xme:YSK3YuVuzHeXMBolRYD7G8Gu3fN0VDIT56T_ONCfLCm7yq-XdGPqlRAUV3vYhxw_f
 XgeRbJLD0_quaa-GA>
X-ME-Received: <xmr:YSK3YrJNKXaP8qXJiroODeVYqRNPEjGHgNUsxQNwPcDcC63yU_ZHgp4Y4z_6-jl9W8Tu59zKvH316qLgscWjuEL76-B9tUOzD60laT0sagSn>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrudeguddgkeegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfhgfhffvvefujgffkfggtgesthdtredttdertdenucfhrhhomheptfgvmhgt
 ohcuvhgrnhcukdhtucggvggvrhcuoehrvghmtghosehrvghmfihorhhkshdrnhgvtheqne
 cuggftrfgrthhtvghrnhepkeduveegfedufeelhedvuedvhfeufedtteevkeehhfeigfev
 lefhgeeukedtfeevnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilh
 hfrhhomheprhgvmhgtohesrhgvmhifohhrkhhsrdhnvght
X-ME-Proxy: <xmx:YSK3YvFsX6y33ZTf_GoBu9Ecp4_-y7UOf7Bb-tlu0-ncd5eNDLV2Kw>
 <xmx:YSK3YvWs8cjt_xUHrKwWyBArHGiR8J_mAwSLs6ur1tDjPGaNb296ng>
 <xmx:YSK3YqNeDRlsVpXWe_UVvN2e82LJ_SKcvQPhSIHiaqdUrRJR5W1CUg>
 <xmx:YSK3YmfFIga7N1eiRs6DSTyLdRAr9-nZROoo8vRD_06d-elariYoCw>
Feedback-ID: i568842cc:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 25 Jun 2022 10:57:36 -0400 (EDT)
References: <0e3affe36e5a120aa42cdb2a38fa2bec7c5b287d.camel@HIDDEN>
 <87tu9q6lg6.fsf@HIDDEN>
 <handler.55443.D55443.165592726026934.notifdone <at> debbugs.gnu.org>
User-agent: mu4e 1.6.11; emacs 28.1
From: Remco van 't Veer <remco@HIDDEN>
To: 55443 <at> debbugs.gnu.org
Subject: Re: bug#55443: closed (Re: [PATCH] gnu: emacs: Fix source snippet.)
In-reply-to: <handler.55443.D55443.165592726026934.notifdone <at> debbugs.gnu.org>
Date: Sat, 25 Jun 2022 16:57:35 +0200
Message-ID: <871qvcbxk0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55443
Cc: John Kehayias <john.kehayias@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Works for me, thank you!

Cheers,
Remco




Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 23 Jun 2022 05:27:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 01:27:05 2022
Received: from localhost ([127.0.0.1]:37004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4FMu-0002MF-Su
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 01:27:05 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:33391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o4FMs-0002Ll-Cz
 for 55443 <at> debbugs.gnu.org; Thu, 23 Jun 2022 01:27:03 -0400
Received: by mail-ej1-f68.google.com with SMTP id mf9so18321340ejb.0
 for <55443 <at> debbugs.gnu.org>; Wed, 22 Jun 2022 22:27:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=GoKvyMDvhkbuCmOyxni8+1sfquzElJZ5oRRoiGrwtpc=;
 b=Rjax605wZtaaHoWr41H+ylTT9HXZS2Gua0vPeGlfAOk9FG86xKJo+Cfm6rzdYb5le1
 9CExN23kG1ICYda+VSffFeJ8rwrtkYtz+DHEptwGaIS4xHgbEwM8KiGiPOqzSe5/RF3x
 iMOUwdI8X3m0i6HmR+rXD0EpFqdroKw1mJGZBbwpelIi4f35j7owmk19qgYRKflLIxo8
 8MY1+AcFMfIQURmGStQndP9AWuis9Al2TcCpCYK30DcAiaV/yiDmQiDWTDDBLh+1Hfsw
 sMsXgfuyRoTmxh891w8r+O6Q0WlB1fuVcWLbkcdZWpxoW+vfOhpO+l2yGTKdkmWd5rJm
 YOFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=GoKvyMDvhkbuCmOyxni8+1sfquzElJZ5oRRoiGrwtpc=;
 b=ntgAXzvqU30DkDBojcz1aqIE0IVZZTJy3//s5l6o39S/HRPibMWVqa1trgl4iIXliD
 BN7Abp5O/x9rMcQkT885A23E8vvnR7Wh0B1C9sxSzj+mA4VVbZsn8Yy0RZ38iYVpVw0e
 8px0BqeAJlIp+MrQsldmZZfQuLFRHhhZHCvQaU0z/L03G2K+5vhLZACxAFAABgWRCZmX
 62uFktRjK1GQjqFgGWxjzdECXlydqqv8PbPEavZz+LXKgwfvb4AZLIdDrifM6OnQt6/w
 Q9Ooww8uJNvlVaxL7PLm5goNxPMe+e4gV8czm1x7ogy5OP6yUgxauoIJmB/qaPWeUbFP
 dNoA==
X-Gm-Message-State: AJIora8GzZl63v/la+w31kJvFu9QDGIF1+zUuJ6xrHgq6ythFo3ji1YE
 BXwXTEwC4NkkvGP+EaIA76M=
X-Google-Smtp-Source: AGRyM1te1iyW2jdRXFkMnTH62ycX/q+Y3Jlq8VYuydSs2eMNNV0ZUaGBw3lCXpbE4DsQ/VctTdMi7A==
X-Received: by 2002:a17:907:3dac:b0:722:e6ab:8d9 with SMTP id
 he44-20020a1709073dac00b00722e6ab08d9mr6474547ejc.20.1655962016278; 
 Wed, 22 Jun 2022 22:26:56 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 l16-20020aa7cad0000000b0043585bb803fsm7882915edt.25.2022.06.22.22.26.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Jun 2022 22:26:55 -0700 (PDT)
Message-ID: <8b411d7cab5f227874211fcc9281b4512cf577f1.camel@HIDDEN>
Subject: Re: [PATCH] gnu: emacs: Fix source snippet.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
Date: Thu, 23 Jun 2022 07:26:55 +0200
In-Reply-To: <AkfejsQnw1AQkIxpB9Y8k8SniicNxAOsaVEuxMsQSST_xrpm6kAUTvWN0JqsMBZI4LAsYPwjl2tkC1ZNkpRACS5oD7Nhfedx0bwCoGcjnlA=@protonmail.com>
References: <66NagbOIcNT8BqSgaUkgbTgCNH0mfajA1yX3hV3ldCj1tVkUpENd30FfkNhpBxnvqO1uK82E0MLb_3mNM3QdVhji0AwE9gvLllrhNTC0NsY=@protonmail.com>
 <0e3affe36e5a120aa42cdb2a38fa2bec7c5b287d.camel@HIDDEN>
 <AkfejsQnw1AQkIxpB9Y8k8SniicNxAOsaVEuxMsQSST_xrpm6kAUTvWN0JqsMBZI4LAsYPwjl2tkC1ZNkpRACS5oD7Nhfedx0bwCoGcjnlA=@protonmail.com>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55443
Cc: "55443 <at> debbugs.gnu.org" <55443 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Mittwoch, dem 22.06.2022 um 20:06 +0000 schrieb John Kehayias:
> [...]
> On Wednesday, June 22nd, 2022 at 3:47 PM, Liliana Marie Prikler
> wrote:
> > [O]ur tramp fixes should at some point also end up in the actual
> > tramp package, not just emacs itself :)
> [...]
> And yes, we should see about getting this in emacs proper, they
> should have GNU's own Guix taken care of as well :)
Actually, the point was to also have them in our emacs-tramp package,
which (like emacs-org) doesn't always receive the fixups that land in
the emacs package.  Lots of work duplicated since Emacs vendors those.

Cheers




Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 22 Jun 2022 20:07:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 16:07:25 2022
Received: from localhost ([127.0.0.1]:36690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o46d4-0007Uh-HU
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 16:07:25 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:44978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1o46cz-0007UA-3O
 for 55443 <at> debbugs.gnu.org; Wed, 22 Jun 2022 16:07:08 -0400
Date: Wed, 22 Jun 2022 20:06:50 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1655928418; x=1656187618;
 bh=Heq3+9JiK8sKRP6E3mmo8iA0h9eS0KngGPhUdOcGbIo=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:Feedback-ID:From:To:Cc:Date:Subject:Reply-To:
 Feedback-ID:Message-ID;
 b=RBDHloLf9emkT29vxHvsVT5vht8gq59d949cYUONVO8o0JW5m4Qe9rukkX0lmQgsJ
 A4LlK4gLN986sQfoi4wrnrOtmtTzIo0heJ6vELNJy7QesqgEtkNjvYqL6Ne/29JU6Q
 xyoYD0iWWGKPihx8GG+XrQtaYIaP4FkwoOyspJyqV5aUImxesU/E+D+d0DOK8Rbymj
 tw2aa08uwdfDDWh2RbDZcz4+7T5eTLEb0HXmWKhX4SmJ5vS3pjeAwqzUCi02ytZRkY
 lDvET9tbU8JrfYV/CWPnS3gMLymA5Iuum7QzHHZD6t44+uZoC6h7ltJU784OX83aPI
 VwmUzSHRPq8cQ==
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH] gnu: emacs: Fix source snippet.
Message-ID: <AkfejsQnw1AQkIxpB9Y8k8SniicNxAOsaVEuxMsQSST_xrpm6kAUTvWN0JqsMBZI4LAsYPwjl2tkC1ZNkpRACS5oD7Nhfedx0bwCoGcjnlA=@protonmail.com>
In-Reply-To: <0e3affe36e5a120aa42cdb2a38fa2bec7c5b287d.camel@HIDDEN>
References: <66NagbOIcNT8BqSgaUkgbTgCNH0mfajA1yX3hV3ldCj1tVkUpENd30FfkNhpBxnvqO1uK82E0MLb_3mNM3QdVhji0AwE9gvLllrhNTC0NsY=@protonmail.com>
 <0e3affe36e5a120aa42cdb2a38fa2bec7c5b287d.camel@HIDDEN>
Feedback-ID: 7805494:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55443
Cc: "55443 <at> debbugs.gnu.org" <55443 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello!

------- Original Message -------
On Wednesday, June 22nd, 2022 at 3:47 PM, Liliana Marie Prikler wrote:

> I saw, I reworded slightly, I pushed.
>

Thanks!

> > Maybe someone can relay this to the guix-devel thread mentioned in
> > case there is more to be done as per the discussion there.
>
> I don't think a discussion that is several months old has weight in
> deciding what to do with relatively newer bugs. In any case, I think
> our tramp fixes should at some point also end up in the actual tramp
> package, not just emacs itself :)
>

I didn't follow the discussion thread but thought it might be the same (or =
in addition to) this bug. In any event, sure let's leave that to the actual=
 bug tracking.

And yes, we should see about getting this in emacs proper, they should have=
 GNU's own Guix taken care of as well :)

> That being said, thanks for the fix and have a nice evening

Thanks for the quick review and push, have a great day too!




Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at 55443-done <at> debbugs.gnu.org:


Received: (at 55443-done) by debbugs.gnu.org; 22 Jun 2022 19:47:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 15:47:40 2022
Received: from localhost ([127.0.0.1]:36681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o46KB-00070L-ST
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 15:47:40 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:35669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o46KA-0006zh-T3
 for 55443-done <at> debbugs.gnu.org; Wed, 22 Jun 2022 15:47:39 -0400
Received: by mail-ej1-f65.google.com with SMTP id pk21so13357553ejb.2
 for <55443-done <at> debbugs.gnu.org>; Wed, 22 Jun 2022 12:47:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=Ab2QXaY2cRyT24nl2yDsTYqPh9REjHL5L+BGPEDRQGI=;
 b=NBlVx63EagGOcsLkIVqCH5vW0yyVwUO/8Rkl81WuyrYNSC4iOPSPxDMGuzSYlw/54+
 9mNAaBD6urQFfdmoRwu1IoU7X51/sDMgjM8PDOhhXEHURQMBu7coJHsrBvBv3xFsxJJw
 ueRY1CkqTYSaigRDc6n1Yhf8O9cWw87IkQ6hnGDGk8JS+sBoTnbY/vElpAGk2wRuAr+4
 VugxBlMAovsbN4rFVnXjHMmb311ZMyWnF9qIcTbni1/qnurxoKDQ3Z5QyWdkP3juqyqt
 D2sj13W0YJ/hjpCSGI7Kakn/ouve1Anhvbg/jxX+VnA9Lw01Rq6KoSTomGynWX4LpuSo
 aDSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=Ab2QXaY2cRyT24nl2yDsTYqPh9REjHL5L+BGPEDRQGI=;
 b=deNhTfPGeFxA0wtuyL7dMiUyyZMmGr3kofDqcVPwndvdi0j1HdoPylaLjdbNpJTNkh
 fhJ4EPdwZtqiMFdFYfT5RIY2mb7pzMmq4rDArFSMGmfTp7nXb0PmjUk7zDHYRAeat/kF
 9uTK3uvqi8Ftw9As1v1aL/imIhf/Ank/eyXVutmd96mE5o+WIhpF2H2Fx/IGSHDG8Qri
 zG47H2IE1wqr6/DniIS1NwsO5kwUEFdeI1jO9BzFqOjLgR/pSOdpECFZSUVbhI7li98v
 55/pN4YBaYmc98oQZ0XWHsQ0azm8MnrLOr3XxuWaWcBd080OJRk46eEc7GX1p8BR6xXh
 4bNg==
X-Gm-Message-State: AJIora+aAPw8fUz+SLzPvWqIeu5xgsmNMurl6R5c0uj9J9TlySsWiWWz
 zh4Ya9M//yW/4xJX6+jM+hM=
X-Google-Smtp-Source: AGRyM1sco0gm48rQf7bnp7KBoz+rNk8hTuGVDFpKY+w7flmmHImqQHq1gxIeKw35fe/G6O8U9sG9Sg==
X-Received: by 2002:a17:907:94c3:b0:711:8b08:e7e with SMTP id
 dn3-20020a17090794c300b007118b080e7emr4657879ejc.451.1655927253039; 
 Wed, 22 Jun 2022 12:47:33 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 e7-20020a50ec87000000b0043561e0c9adsm13051153edr.52.2022.06.22.12.47.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Jun 2022 12:47:32 -0700 (PDT)
Message-ID: <0e3affe36e5a120aa42cdb2a38fa2bec7c5b287d.camel@HIDDEN>
Subject: Re: [PATCH] gnu: emacs: Fix source snippet.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>, 55443-done <at> debbugs.gnu.org
Date: Wed, 22 Jun 2022 21:47:32 +0200
In-Reply-To: <66NagbOIcNT8BqSgaUkgbTgCNH0mfajA1yX3hV3ldCj1tVkUpENd30FfkNhpBxnvqO1uK82E0MLb_3mNM3QdVhji0AwE9gvLllrhNTC0NsY=@protonmail.com>
References: <66NagbOIcNT8BqSgaUkgbTgCNH0mfajA1yX3hV3ldCj1tVkUpENd30FfkNhpBxnvqO1uK82E0MLb_3mNM3QdVhji0AwE9gvLllrhNTC0NsY=@protonmail.com>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55443-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Mittwoch, dem 22.06.2022 um 01:53 +0000 schrieb John Kehayias:
> I've tested this patch builds, sets tramp-remote-path, and alleviates
> the sudo problem I also experienced (for local tramp). 
I saw, I reworded slightly, I pushed.

> Maybe someone can relay this to the guix-devel thread mentioned in
> case there is more to be done as per the discussion there.
I don't think a discussion that is several months old has weight in
deciding what to do with relatively newer bugs.  In any case, I think
our tramp fixes should at some point also end up in the actual tramp
package, not just emacs itself :)

That being said, thanks for the fix and have a nice evening




Notification sent to Remco van 't Veer <remco@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 22 Jun 2022 14:41:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 10:41:42 2022
Received: from localhost ([127.0.0.1]:36261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o41Y6-00033G-F9
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 10:41:42 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:13861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1o41Y5-000332-11
 for 55443 <at> debbugs.gnu.org; Wed, 22 Jun 2022 10:41:41 -0400
Date: Wed, 22 Jun 2022 14:41:28 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1655908893; x=1656168093;
 bh=3R4UdD8mAzkXYky3FBboGpaV+5HVntFEhK2qvxEH63s=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:Feedback-ID:From:To:Cc:Date:Subject:Reply-To:
 Feedback-ID:Message-ID;
 b=ZOV4SGhWsD6UBtLcZ+CzUPC/LQfSlV4C4jnWTgNr6sKn7AWqYU8Ikpq1W4sAlt5t8
 dDmbO/6DGtgvhVnALU/yTJWGhsr0sLF/93vsoYa/Un1rSxYqf6ndDgYQrOLk8cNYul
 9VdZX6xx2fEMGklnVqVBnACCCMDI+zrVG60jsJlO7uKClHQix/+D72Z2BipH7YcOmW
 AmdTGpFry2uW51B3v+mtG9nk1eQ5hRAGv1PadWkkrKfaGGlHreUrygCsr6kUpm5rRZ
 U8N/z4bQgBYKchWpfKnKukpG8a8gB5ACrVDIrlwlWGmXq0tI37Ixca1vYcpr2AyKoJ
 j/J+Z5FKdOpqg==
To: "55443 <at> debbugs.gnu.org" <55443 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH] gnu: emacs: Fix source snippet.
Message-ID: <snDNOgbm6j_4-OyYJ1rsrPdXRTH0Dz-tklmxDRdNWBbSuf_4v8-QGvYEaHCtYtt89VYgyzQsg4xxwOP3w2olWJm-cYtYiOGSOFNyb1Hr5eo=@protonmail.com>
In-Reply-To: <66NagbOIcNT8BqSgaUkgbTgCNH0mfajA1yX3hV3ldCj1tVkUpENd30FfkNhpBxnvqO1uK82E0MLb_3mNM3QdVhji0AwE9gvLllrhNTC0NsY=@protonmail.com>
References: <66NagbOIcNT8BqSgaUkgbTgCNH0mfajA1yX3hV3ldCj1tVkUpENd30FfkNhpBxnvqO1uK82E0MLb_3mNM3QdVhji0AwE9gvLllrhNTC0NsY=@protonmail.com>
Feedback-ID: 7805494:user:proton
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_zs2swanpLLNHB8EHHHNKY2HHrhQYfilzjMCWF4Sz1MY"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55443
Cc: "dev@HIDDEN" <dev@HIDDEN>,
 "benoit@HIDDEN" <benoit@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_zs2swanpLLNHB8EHHHNKY2HHrhQYfilzjMCWF4Sz1MY
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

I forgot to CC other users on the bug, so I'm sending the message again. Ap=
ologies if you got this twice.


------- Original Message -------
On Tuesday, June 21st, 2022 at 9:53 PM, John Kehayias <john.kehayias@proton=
mail.com> wrote:


> Hello,
>
> I believe this bug is due to a change in emacs to where the tramp-default=
-remote-path was moved from tramp-sh.el to tramp.el: https://git.savannah.g=
nu.org/cgit/emacs.git/commit/?id=3D695f6792f1524a446d276bf5c5e53bbb4c200909
>
> Due to this the source snippet in emacs that adds guix paths did not work=
, as you should see by examining the variable: C-h v tramp-remote-path
>
> I've tested this patch builds, sets tramp-remote-path, and alleviates the=
 sudo problem I also experienced (for local tramp). Please test if this fix=
es it for you. And maybe someone can relay this to the guix-devel thread me=
ntioned in case there is more to be done as per the discussion there.
>
> Thanks,
> John
--b1_zs2swanpLLNHB8EHHHNKY2HHrhQYfilzjMCWF4Sz1MY
Content-Type: text/x-patch; name=0001-gnu-emacs-Fix-source-snippet.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-emacs-Fix-source-snippet.patch

RnJvbSA5Y2Y1OGIyM2JjMTY5ZTE3M2MzNjNhOGM5MTA3Y2FhOTBkMmE4ZjcxIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKb2huIEtlaGF5aWFzIDxqb2huLmtlaGF5aWFzQHByb3Rvbm1h
aWwuY29tPgpEYXRlOiBUdWUsIDIxIEp1biAyMDIyIDIxOjIyOjI2IC0wNDAwClN1YmplY3Q6IFtQ
QVRDSF0gZ251OiBlbWFjczogRml4IHNvdXJjZSBzbmlwcGV0LgoKRml4ZXMgPGh0dHBzOi8vaXNz
dWVzLmd1aXguZ251Lm9yZy81NTQ0Mz4uCgoqIGdudS9wYWNrYWdlcy9lbWFjcy5zY20gKGVtYWNz
KVtzb3VyY2VdKHNuaXBwZXQpOiBQYXRjaCB0cmFtcC5lbCByYXRoZXIgdGhhbgp0cmFtcC1zaC5l
bCBhcyB0aGUgY29kZSB0byBiZSBwYXRjaGVkIG1vdmVkLgotLS0KIGdudS9wYWNrYWdlcy9lbWFj
cy5zY20gfCAyICstCiAxIGZpbGUgY2hhbmdlZCwgMSBpbnNlcnRpb24oKyksIDEgZGVsZXRpb24o
LSkKCmRpZmYgLS1naXQgYS9nbnUvcGFja2FnZXMvZW1hY3Muc2NtIGIvZ251L3BhY2thZ2VzL2Vt
YWNzLnNjbQppbmRleCAzMWI1YzA0MzI0Li4wZGU0YjdhNWQ1IDEwMDY0NAotLS0gYS9nbnUvcGFj
a2FnZXMvZW1hY3Muc2NtCisrKyBiL2dudS9wYWNrYWdlcy9lbWFjcy5zY20KQEAgLTEwNiw3ICsx
MDYsNyBAQCAoZGVmaW5lLXB1YmxpYyBlbWFjcwogICAgICAgICAgICAgICAgICAgOzsgTWFrZSBz
dXJlIFRyYW1wIGxvb2tzIGZvciBiaW5hcmllcyBpbiB0aGUgcmlnaHQgcGxhY2VzIG9uCiAgICAg
ICAgICAgICAgICAgICA7OyByZW1vdGUgR3VpeCBTeXN0ZW0gbWFjaGluZXMsIHdoZXJlICdnZXRj
b25mIFBBVEgnIHJldHVybnMKICAgICAgICAgICAgICAgICAgIDs7IHNvbWV0aGluZyBib2d1cy4K
LSAgICAgICAgICAgICAgICAgIChzdWJzdGl0dXRlKiAibmV0L3RyYW1wLXNoLmVsIgorICAgICAg
ICAgICAgICAgICAgKHN1YnN0aXR1dGUqICJuZXQvdHJhbXAuZWwiCiAgICAgICAgICAgICAgICAg
ICAgIDs7IFBhdGNoIHRoZSBsaW5lIGFmdGVyICIoZGVmY3VzdG9tIHRyYW1wLXJlbW90ZS1wYXRo
Ii4KICAgICAgICAgICAgICAgICAgICAgKCgiXFwodHJhbXAtZGVmYXVsdC1yZW1vdGUtcGF0aCIp
CiAgICAgICAgICAgICAgICAgICAgICAoZm9ybWF0ICNmICIodHJhbXAtZGVmYXVsdC1yZW1vdGUt
cGF0aCB+cyB+cyB+cyB+cyAiCi0tIAoyLjM2LjEKCg==

--b1_zs2swanpLLNHB8EHHHNKY2HHrhQYfilzjMCWF4Sz1MY--





Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 22 Jun 2022 01:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 21:54:13 2022
Received: from localhost ([127.0.0.1]:33596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3pZN-0004hQ-9R
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 21:54:13 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:35305)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1o3pZJ-0004hB-QQ
 for 55443 <at> debbugs.gnu.org; Tue, 21 Jun 2022 21:54:12 -0400
Date: Wed, 22 Jun 2022 01:53:55 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1655862842; x=1656122042;
 bh=AsFFAF+msd0Ny/HP8zMwZOx3Ty+AEJFBSGqqlUb5QQU=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=mUkAacZZx+Znm+rq0wJil800UOJWvp/EpqrIvVx++eNuQTL9K1NniRkAcdxI6wc3P
 CF3pzcXhjTfC5PksvlTX0NEPzAx3xcqDM2qrVQD/o6iPNqcQ938M+V+cA/Sor5E2mq
 c0r+oJUlTOaA8g6LgC1AOLD3N5zwoJQKiHG5kfpH21opZTIKd4etTiO17Rb7Rw+0a5
 nQ+YWjlzwLbT9DpMMYbmYt8hHtsU5cqevzIlTqQU/lM5piRR5f0x7PA9tdqvC7caLh
 aoMRAzB+vA9/CtYiLLy/ekbKLIxQ5UwCUMAiP0dNuBPGdz1lWPZtHYUAVn7sa8pSHW
 /mcQCbxi57roA==
To: "55443 <at> debbugs.gnu.org" <55443 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH] gnu: emacs: Fix source snippet.
Message-ID: <66NagbOIcNT8BqSgaUkgbTgCNH0mfajA1yX3hV3ldCj1tVkUpENd30FfkNhpBxnvqO1uK82E0MLb_3mNM3QdVhji0AwE9gvLllrhNTC0NsY=@protonmail.com>
Feedback-ID: 7805494:user:proton
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_1TpFJe6EACSYtBPn0SqCZwZlEKSSmkmEILp0qozYA"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55443
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_1TpFJe6EACSYtBPn0SqCZwZlEKSSmkmEILp0qozYA
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

I believe this bug is due to a change in emacs to where the tramp-default-r=
emote-path was moved from tramp-sh.el to tramp.el: https://git.savannah.gnu=
.org/cgit/emacs.git/commit/?id=3D695f6792f1524a446d276bf5c5e53bbb4c200909

Due to this the source snippet in emacs that adds guix paths did not work, =
as you should see by examining the variable: C-h v tramp-remote-path

I've tested this patch builds, sets tramp-remote-path, and alleviates the s=
udo problem I also experienced (for local tramp). Please test if this fixes=
 it for you. And maybe someone can relay this to the guix-devel thread ment=
ioned in case there is more to be done as per the discussion there.

Thanks,
John


--b1_1TpFJe6EACSYtBPn0SqCZwZlEKSSmkmEILp0qozYA
Content-Type: text/x-patch; name=0001-gnu-emacs-Fix-source-snippet.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-emacs-Fix-source-snippet.patch

RnJvbSA5Y2Y1OGIyM2JjMTY5ZTE3M2MzNjNhOGM5MTA3Y2FhOTBkMmE4ZjcxIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKb2huIEtlaGF5aWFzIDxqb2huLmtlaGF5aWFzQHByb3Rvbm1h
aWwuY29tPgpEYXRlOiBUdWUsIDIxIEp1biAyMDIyIDIxOjIyOjI2IC0wNDAwClN1YmplY3Q6IFtQ
QVRDSF0gZ251OiBlbWFjczogRml4IHNvdXJjZSBzbmlwcGV0LgoKRml4ZXMgPGh0dHBzOi8vaXNz
dWVzLmd1aXguZ251Lm9yZy81NTQ0Mz4uCgoqIGdudS9wYWNrYWdlcy9lbWFjcy5zY20gKGVtYWNz
KVtzb3VyY2VdKHNuaXBwZXQpOiBQYXRjaCB0cmFtcC5lbCByYXRoZXIgdGhhbgp0cmFtcC1zaC5l
bCBhcyB0aGUgY29kZSB0byBiZSBwYXRjaGVkIG1vdmVkLgotLS0KIGdudS9wYWNrYWdlcy9lbWFj
cy5zY20gfCAyICstCiAxIGZpbGUgY2hhbmdlZCwgMSBpbnNlcnRpb24oKyksIDEgZGVsZXRpb24o
LSkKCmRpZmYgLS1naXQgYS9nbnUvcGFja2FnZXMvZW1hY3Muc2NtIGIvZ251L3BhY2thZ2VzL2Vt
YWNzLnNjbQppbmRleCAzMWI1YzA0MzI0Li4wZGU0YjdhNWQ1IDEwMDY0NAotLS0gYS9nbnUvcGFj
a2FnZXMvZW1hY3Muc2NtCisrKyBiL2dudS9wYWNrYWdlcy9lbWFjcy5zY20KQEAgLTEwNiw3ICsx
MDYsNyBAQCAoZGVmaW5lLXB1YmxpYyBlbWFjcwogICAgICAgICAgICAgICAgICAgOzsgTWFrZSBz
dXJlIFRyYW1wIGxvb2tzIGZvciBiaW5hcmllcyBpbiB0aGUgcmlnaHQgcGxhY2VzIG9uCiAgICAg
ICAgICAgICAgICAgICA7OyByZW1vdGUgR3VpeCBTeXN0ZW0gbWFjaGluZXMsIHdoZXJlICdnZXRj
b25mIFBBVEgnIHJldHVybnMKICAgICAgICAgICAgICAgICAgIDs7IHNvbWV0aGluZyBib2d1cy4K
LSAgICAgICAgICAgICAgICAgIChzdWJzdGl0dXRlKiAibmV0L3RyYW1wLXNoLmVsIgorICAgICAg
ICAgICAgICAgICAgKHN1YnN0aXR1dGUqICJuZXQvdHJhbXAuZWwiCiAgICAgICAgICAgICAgICAg
ICAgIDs7IFBhdGNoIHRoZSBsaW5lIGFmdGVyICIoZGVmY3VzdG9tIHRyYW1wLXJlbW90ZS1wYXRo
Ii4KICAgICAgICAgICAgICAgICAgICAgKCgiXFwodHJhbXAtZGVmYXVsdC1yZW1vdGUtcGF0aCIp
CiAgICAgICAgICAgICAgICAgICAgICAoZm9ybWF0ICNmICIodHJhbXAtZGVmYXVsdC1yZW1vdGUt
cGF0aCB+cyB+cyB+cyB+cyAiCi0tIAoyLjM2LjEKCg==

--b1_1TpFJe6EACSYtBPn0SqCZwZlEKSSmkmEILp0qozYA--





Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 19 May 2022 14:56:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 19 10:56:12 2022
Received: from localhost ([127.0.0.1]:36406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrhZI-0003ic-U2
	for submit <at> debbugs.gnu.org; Thu, 19 May 2022 10:56:12 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:40225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <remco@HIDDEN>) id 1nrhZ2-0003i4-3t
 for 55443 <at> debbugs.gnu.org; Thu, 19 May 2022 10:55:59 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 0F2A15C01DD;
 Thu, 19 May 2022 10:55:38 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Thu, 19 May 2022 10:55:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=remworks.net; h=
 cc:cc:content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm3; t=1652972138; x=1653058538; bh=y08NrFY4pm
 GxfYWSMKMmJIABV3IwGG+dfFJnps1uYp0=; b=BfG+5YXwyoam3hi3rHxyVK6Jhb
 TsuS7yNnXqFovoZowc4C7Zfl6YRE79detGz9NTwAGdb1vKXXjsFRCFEUxBJ1wwgL
 sjtLGlnIkeZuX+lnl/2hjVve5v0063xaYyNyzlE9YgGQSaGDBEl6rBGb5XuYJtIG
 5f4kmdZLcTBBynVZHA6XbeiPcFmLG0Y2gQuJ/Ck6Qp6V3df5Jlvt4Y1kaJ9ko0gA
 FUcdZgfGFOZ+wnEkX5Sl3lAir4SbU3WzCqPq6KYZ0IYJllXnaibkPz61FvvXXHXj
 NkvoYTtJy0P0fCC2g5xSXMx/SrZfoQsAgYqjmHj2ZMYOTtw6CI5EZAevkAwg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; t=1652972138; x=1653058538; bh=y08NrFY4pmGxfYWSMKMmJIABV3Iw
 GG+dfFJnps1uYp0=; b=oWAvxe2zdS7gu2tQmdO8RQZzsMg8ZCZddOXaczaN2jiT
 VbK3/N6jcxzZZYvESwxLIt01IdBdBIHrJTdhwESUTut/ftk6rERzFtsKlT0tl4ma
 jpNYFTD346ekD4PQOB+YDH2bRNq5anhHFSmwU6zkEDfd+K8u/24g9y5wOVLjZsmJ
 rwjLMZ5YVTrI4ZRmcZvV5TMUSR7pGuqVsu49HflQp530s06w1BKdu19sCIBAKHkt
 5jWTCfbgkM4pP4Scphlllu20a4GcRVWF+1q4PJt3LMmNJ02tsiuuznWxlh4rnHMF
 QMW4EjYCmdgE4dAxb5Ya+d7H6V1TKKbqnx7xEvOEyA==
X-ME-Sender: <xms:aVqGYiFCDm7fOjY9SGx0XAyD47E-7i1AjDmi457WMq1r0MMj9R27HA>
 <xme:aVqGYjXq3YdYzRYlh1LTHt0TUSaSC09ozu-k0LH3e5kmmBctLLRnmBSNEFe5Z9zjV
 nB44d6azKto9rZkmQ>
X-ME-Received: <xmr:aVqGYsKuJBA9YykFtR17HbfdOZe02a8UGn1BXchVWWlLpScgNF0VOK8TzY1Mjv_0pyzgBjzEO7_B0ciAuiEZbfPKjfB-TLco1oNfJNd0CW0>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedriedugdekudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepfhgfhffvvefujgffkfggtgesthdtre
 dttdertdenucfhrhhomheptfgvmhgtohcuvhgrnhcukdhtucggvggvrhcuoehrvghmtgho
 sehrvghmfihorhhkshdrnhgvtheqnecuggftrfgrthhtvghrnhepleduudekudekledtgf
 ehkeetfefhleejieetjeegjeefgffffedvvdehtdeliefhnecuffhomhgrihhnpeihhhgv
 thhilhdrohhrghenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfh
 hrohhmpehrvghmtghosehrvghmfihorhhkshdrnhgvth
X-ME-Proxy: <xmx:aVqGYsEgXHDejbZvgzZt9SSMsS9ZC0v0bg0oTbssrGGbfqR6CjNPTA>
 <xmx:aVqGYoUc12h-8T59-MHWVdo7Nqcgasq-ApsTOPrx4D-0L33IjxeG-A>
 <xmx:aVqGYvM-uQip8cogAHbHa0PfxMdIJAKhDEz4LMupNdd5vmUzIXFhBA>
 <xmx:alqGYhcinMUh1WKxfFJWua5m4SxB1QtmyOPTXmFy9b4ACH5vvP9YAA>
Feedback-ID: i568842cc:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 19 May 2022 10:55:37 -0400 (EDT)
References: <87tu9q6lg6.fsf@HIDDEN> <874k1l39r9.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.1
From: Remco van 't Veer <remco@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#55443: emacs-28.1: tramp sudo broken
In-reply-to: <874k1l39r9.fsf@HIDDEN>
Date: Thu, 19 May 2022 16:55:34 +0200
Message-ID: <87h75lbmhl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55443
Cc: 55443 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

2022/05/19 15:57, Josselin Poiret:

> What I personally use is described at [1], and fixed this issue I had
> when I switched to emacs-next.
>
> [1] https://yhetil.org/guix/87czjsmif0.fsf@HIDDEN/

Thanks!  Your workaround works.  Here's my slightly tweaked version
(inspired by the post by Max Brieiev):

  (connection-local-set-profile-variables
    'guix-system
    '((tramp-remote-path . (tramp-own-remote-path))))

  (connection-local-set-profiles
    `(:application tramp :protocol "sudo" :machine ,(system-name))
    'guix-system))

I do agree with Maxime Devos in the same thread, ideally tramp sudo
should just work on guix.




Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 19 May 2022 14:51:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 19 10:51:42 2022
Received: from localhost ([127.0.0.1]:36393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrhV7-0003bd-JR
	for submit <at> debbugs.gnu.org; Thu, 19 May 2022 10:51:41 -0400
Received: from mail-108-mta127.mxroute.com ([136.175.108.127]:38087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <benoit@HIDDEN>) id 1nrfY9-0008Dq-So
 for 55443 <at> debbugs.gnu.org; Thu, 19 May 2022 08:46:43 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta127.mxroute.com (ZoneMTA) with ESMTPSA id
 180dc5afd79000c327.001 for <55443 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Thu, 19 May 2022 12:46:32 +0000
X-Zone-Loop: 52abd7a092fd210445c6dd2e0c6f8c1e208738140381
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=benoitj.ca; 
 s=x;
 h=Content-Transfer-Encoding:Content-Type:Message-ID:Subject:To:From:Date
 :MIME-Version:Sender:Reply-To:Cc:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:In-Reply-To:
 References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:List-Post:
 List-Owner:List-Archive; bh=WXtRpXzgBTe/OdyXC6dlPp3wrSZk7De04c3TdBl6aX8=; b=n
 1hsfOvrt8T5qzcH5w7WjkR5gJbefQMuA71f2GnilrrWP/OH9KolDTYp6TpIDf2+iDmkRRoQq55IPE
 gCO7Notn5wTKJtmbvjLtlzMKEWZDoUG5+VmrZhZgD5pDlEb7XCDwhxzy2EDDgRDn7V6NoI1SSJHRi
 wAZz4f6I7X/luQus6YbTPndL9y9rbBWCYqve06dxk87pLNJuLH0U7SR7xCn6xP0JqoUSEohrCjGF9
 LGnnw9OZNt1m4adYkRJsms2UEfbEP5VVNvz9P/2bZEJ1IsOmrBc269TkzntC7ddDSivEC57M5g7Jk
 sNiNFWl764DWMwbVQpcEDGfWiFJpwiuaw==;
MIME-Version: 1.0
Date: Thu, 19 May 2022 08:46:30 -0400
From: benoit@HIDDEN
To: 55443 <at> debbugs.gnu.org
Subject: emacs-28.1: tramp sudo broken
Message-ID: <f50baf81c0e3cfc901fbe3f341147d9d@HIDDEN>
X-Sender: benoit@HIDDEN
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-AuthUser: benoit@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55443
X-Mailman-Approved-At: Thu, 19 May 2022 10:51:39 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

had similar issue using tramp without sudo targetting a guix host.

I could fix the issue by adding /bin/ls as a special file to my services 
with something like:

   (extra-special-file "/bin/ls" (file-append coreutils "/bin/ls"))

Benoit




Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at 55443 <at> debbugs.gnu.org:


Received: (at 55443) by debbugs.gnu.org; 19 May 2022 13:57:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 19 09:57:52 2022
Received: from localhost ([127.0.0.1]:36305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrgf2-00026h-7P
	for submit <at> debbugs.gnu.org; Thu, 19 May 2022 09:57:52 -0400
Received: from jpoiret.xyz ([206.189.101.64]:40666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1nrgez-00026Y-S4
 for 55443 <at> debbugs.gnu.org; Thu, 19 May 2022 09:57:51 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id CA7A5184BEE;
 Thu, 19 May 2022 13:57:47 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1652968668;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=3Hp3STALMC9ECFv42R9o2cbn31uVULS7V2UdwvOiiyU=;
 b=NdriPQhpUU8VsC1O1DvnoXcqOIXI123owxhdJ+nbFtEc/aObpEv0c30YnYv3LC5bBTpQ0E
 PcK84E0dvPdhww6weJ9B6+zRVgAkN88Mp1epWWUiBysv8nh8yTHZnUKCHdTnHT6jy7jI1n
 xmKm1oUPekxe+rfWDM5V6AFzn00duCo0sZspWtkKkgMfGQRmWnWmvE7teETCJ8RzOP7qUk
 ZzDHh2CFa+HTELwVjDT2NSqnXCKA14AiOegQv0Xga67L7xTJOM2gnJduV02RRKMVxl1PhW
 xCSGPHMwEk+ax+CXEsBRV3EwmNaJO4J4kTtL5Cu9zZ7izBgDmjBSkt6EwwDisw==
From: Josselin Poiret <dev@HIDDEN>
To: Remco van 't Veer <remco@HIDDEN>, 55443 <at> debbugs.gnu.org
Subject: Re: bug#55443: emacs-28.1: tramp sudo broken
In-Reply-To: <87tu9q6lg6.fsf@HIDDEN>
References: <87tu9q6lg6.fsf@HIDDEN>
Date: Thu, 19 May 2022 15:57:46 +0200
Message-ID: <874k1l39r9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: /
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Remco van 't Veer <remco@HIDDEN> writes: > After
 upgrading from emacs-27.2 to emacs-28.1 on a Guix system,
 opening > files/directories
 via sudo using tramp no longer works. > > Here's what's in the *Messages*
 buffer: > >> Tramp: Opening conn [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55443
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello, Remco van 't Veer <remco@HIDDEN> writes: > After
    upgrading from emacs-27.2 to emacs-28.1 on a Guix system, opening > files/directories
    via sudo using tramp no longer works. > > Here's what's in the *Messages*
    buffer: > >> Tramp: Opening conn [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hello,

Remco van 't Veer <remco@HIDDEN> writes:

> After upgrading from emacs-27.2 to emacs-28.1 on a Guix system, opening
> files/directories via sudo using tramp no longer works.
>
> Here's what's in the *Messages* buffer:
>
>> Tramp: Opening connection nil for root@remq240 using sudo...done
>> File error: Couldn't find a proper `ls' command [6 times]
>> tramp-error: Couldn't find a proper `ls' command

What I personally use is described at [1], and fixed this issue I had
when I switched to emacs-next.

[1] https://yhetil.org/guix/87czjsmif0.fsf@HIDDEN/
-- 
Josselin Poiret




Information forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 May 2022 06:28:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 02:28:03 2022
Received: from localhost ([127.0.0.1]:51478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqUD5-0006He-9Y
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 02:28:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:43394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <remco@HIDDEN>) id 1nqUD3-0006HJ-M9
 for submit <at> debbugs.gnu.org; Mon, 16 May 2022 02:28:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52582)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <remco@HIDDEN>)
 id 1nqUD3-0003FA-4j
 for bug-guix@HIDDEN; Mon, 16 May 2022 02:28:01 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:39215)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <remco@HIDDEN>)
 id 1nqUD0-0008B9-TI
 for bug-guix@HIDDEN; Mon, 16 May 2022 02:28:00 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 807485C00F8
 for <bug-guix@HIDDEN>; Mon, 16 May 2022 02:27:56 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Mon, 16 May 2022 02:27:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=remworks.net; h=
 cc:content-type:date:date:from:from:in-reply-to:message-id
 :mime-version:reply-to:sender:subject:subject:to:to; s=fm3; t=
 1652682476; x=1652768876; bh=z/crggIsQBd+TdCn0WUn1W0O3UcsKiI0fzH
 eoYhtek8=; b=YjcIgjbdGw2fr2/OH5Am47Y0d/x2i2HRpGmarReFI5wWAzX07mj
 uxVeJ4ZTeapNOn9WbTh7eZropRDHTfLVpHVLwNn9yGfQThZovJmuL562gQ/5RcHa
 6vB/k4vIg2zRNJ/GOBQJZmTwXMj1VN8dT/gnO37+jMoXqe6jKGYWJH7VjQ8a1hM9
 GH5SPrYiCRYNWL9pmA2fPDNKRoamTP9DAvvouzfcqHGM+hujpOL5+AEb48+rt3N9
 R8VHXE7lHQ+s2xR3scmd5zGjmZD1/FIKHz1ziMbMJOcv4fYfCleyCARCC9EX0kEF
 Q7u5txSTYb9jSCZ7DlmIfPvf6bFV/xFLG0Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:date:from:from
 :in-reply-to:message-id:mime-version:reply-to:sender:subject
 :subject:to:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1652682476; x=1652768876; bh=z/crggIsQBd+T
 dCn0WUn1W0O3UcsKiI0fzHeoYhtek8=; b=I9Pugl1mr8w70/k5R5WcqzmurS3xb
 eXp6kPxVrO1CgQHmLrWZRoCWahp+2dgeD3yttycwbO33Dr5Jvw0COrEJozeUTjSb
 rIWIoQYwnuaeoxkiqLoT3ulk2u2ioPAANuJh4ypcnGsZAceqcfNJLq3la9gZynjo
 fT9bF1AWlnp5Opta0BrydRpKn91bOt9Xjd5KDzSQZ+8rjyCLY6ccjGS16WuPGLJV
 3U0dS9PYD7Tp9y4+cNclnr44q5pX2O7FSmz3g2sL7L5FBzBZ7UrhaU/JyBkVX9OY
 Ucsn7WJmgAsAUElrEF3+hUiKQ/mn5fk8tmlMdyJ1134UrYqe187GWZEqA==
X-ME-Sender: <xms:7O6BYuyDhxR-lIOhLXPiliuL9hvp7fJRa9Wu3N-F25wRbHEZoZBoQQ>
 <xme:7O6BYqRPvwsUlgVWN8Dz70PerFL87SI2GsrV08IKIqCOR5j8TXlTBvxz4oRwSqKJU
 sO3Si4dUfpRhKXcoQ>
X-ME-Received: <xmr:7O6BYgWZknwHzg04SHRCboXEHfZ082rPDhRf44RfL9RtzrNJsFPHIq8mxw19bQ-8KyPcPc__byKUiKUasohga3fBSOPIiVlbpOJo6qpwqHm4>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrheeggddutdelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpegfhffvufffkfggtgesthdtredttd
 ertdenucfhrhhomheptfgvmhgtohcuvhgrnhcukdhtucggvggvrhcuoehrvghmtghosehr
 vghmfihorhhkshdrnhgvtheqnecuggftrfgrthhtvghrnhepgfefvddvkeeljeefjeethf
 eugfeiveffueegveetudeugffhteffffetjefftdefnecuffhomhgrihhnpehgnhhurdho
 rhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheprh
 gvmhgtohesrhgvmhifohhrkhhsrdhnvght
X-ME-Proxy: <xmx:7O6BYkgRZWsRsPjYSa6hx4NMYeS-R0PP5Z6533E5S67Ue6Z6p4EWYw>
 <xmx:7O6BYgDQMiJrCuMLD9ALtxiCGfSFpXNYPrW5g7ywFKJDzyolcXe0EQ>
 <xmx:7O6BYlIsaXf6F3epugFAeBSjCXCt4YCbn-ZtGoMjT2Mj47YttS6-mA>
 <xmx:7O6BYv9SmCSTXoVD5EmE1BqNgkqXIr20sB9VppGw6J8t_JqrFyQh6w>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <bug-guix@HIDDEN>; Mon, 16 May 2022 02:27:55 -0400 (EDT)
User-agent: mu4e 1.6.10; emacs 27.2
From: Remco van 't Veer <remco@HIDDEN>
To: bug-guix <bug-guix@HIDDEN>
Subject: emacs-28.1: tramp sudo broken
Date: Mon, 16 May 2022 08:27:53 +0200
Message-ID: <87tu9q6lg6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=66.111.4.27; envelope-from=remco@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

After upgrading from emacs-27.2 to emacs-28.1 on a Guix system, opening
files/directories via sudo using tramp no longer works.

Here's what's in the *Messages* buffer:

> Tramp: Opening connection nil for root@remq240 using sudo...done
> File error: Couldn't find a proper `ls' command [6 times]
> tramp-error: Couldn't find a proper `ls' command

I am at:

> Generation 48	May 15 2022 16:38:54	(current)
>   guix 9860c90
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 9860c90e8e5362e0e843efbd45f4563b9746a196

Logging out after upgrade does not help.

Kind regards,
Remco




Acknowledgement sent to Remco van 't Veer <remco@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#55443; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 25 Jun 2022 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.